"ui:options":
  title: "FamilyMemberDetails"
"ui:hideItemTitle": true
"ui:row": true
"ui:order":
  - relationship_to_proband
  - subject
  - remote_mrn
  - sample_request
  - secondary_findings_opt_out
  - request_genetic_counseling
  - affliction_status
  - indications
  - "*"
relationship_to_proband:
  "ui:column": "col-sm-4"
subject:
  "ui:order":
    - "name"
    - "demographics"
    - "ancestry"
    - "contact_info"
    - "*"
  name:
    "ui:order":
      - "first"
      - "middle"
      - "last"
      - "*"
    "ui:row": true
    first:
      "ui:column": "col-sm-5"
    middle:
      "ui:column": "col-sm-2"
    last:
      "ui:column": "col-sm-5"
    credentials:
      "ui:widget": "hidden"
  demographics:
    "ui:row": true
    dob:
      "ui:column": "col-sm-6"
    sex:
      "ui:column": "col-sm-6"
    gender:
      "ui:widget": "hidden"
  ancestry:
    "ui:field": "typeAheadField"
    "ui:typeahead":
      choices:
        - id: WHITE
          label: White
        - id: HISPANIC
          label: Hispanic
        - id: BLACK_AFRICAN_AMERICAN
          label: Black/African American
        - id: EAST_ASIAN
          label: East Asian
        - id: SOUTH_ASIAN
          label: South Asian
        - id: ASHKENAZI_JEWISH
          label: Ashkenazi Jewish
      allowNew: true
      allowNewPrefix: "Other: "
    "ui:widget": "hidden"
  contact_info:
    items:
      "ui:row": true
      "ui:orderable": false
      "ui:copyable": false
      "ui:addRemove": false
      "ui:hideItemTitle": true
      address:
        "ui:row": true
        street_address:
          "ui:column": "col-12"
          "ui:widget": "AddressWidget"
        city:
          "ui:column": "col-sm-6"
        region:
          "ui:column": "col-sm-6"
          "ui:description": "State, province, or other country-specific region. New York is not available at this time."
        postal_code:
          "ui:column": "col-sm-6"
        country:
          # "ui:column": "col-sm-6"
          "ui:widget": "hidden"
      email:
        "ui:column": "col-sm-6"
        "ui:options":
          inputType: "email"
      phone:
        "ui:column": "col-sm-6"
        "ui:options":
          inputType: "tel"
      fax:
        "ui:widget": "hidden"
sample_request:
  "ui:hideItemTitle": true
  "ui:row": true
  "ui:order":
    - send_kit
    - type
    - "*"
  send_kit:
    "ui:widget": "radio"
    "ui:title": "Send Kit to Patient"
    "ui:column": "col-sm-6"
  send_kit_address:
    "ui:widget": "hidden"
  type:
    "ui:widget": "select"
    "ui:column": "col-sm-6"
    "ui:enumDisabled":
      - DNA
      - DATA
affliction_status:
  "ui:column": "col-sm-4"
secondary_findings_opt_out:
  "ui:column": "col-sm-4"
request_genetic_counseling:
  "ui:widget": "radio"
  "ui:column": "col-sm-4"
  "ui:enumDisabled":
    - VUS_OR_POSITIVE_RESULT
    - ANY_RESULT
